## pastescript 3.7.0

=== Makefile ===
# simple Makefile for some common tasks
.PHONY: clean test dist release pypi tagv

pastescript-version := $(shell python setup.py --version)

clean:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -rf .tox || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r pastescript.egg-info || true

tagv:
	git tag -s -m ${pastescript-version} ${pastescript-version}
	git push origin master --tags

cleanagain:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r .tox || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r pastescript.egg-info || true

test:
	tox --skip-missing-interpreters

dist: test
	python3 setup.py sdist bdist_wheel

release: clean test cleanagain tagv pypi gh

pypi:
	python3 setup.py sdist bdist_wheel
	twine upload dist/*

gh:
	gh release create ${pastescript-version} --generate-notes dist/*

## pastescript 1.7.3

=== debian/changelog ===
pastescript (1.7.3-7) unstable; urgency=low

  * Convert to dh_python2
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 28 May 2011 17:41:00 +0200

pastescript (1.7.3-6) unstable; urgency=low

  * Revert the change from -4, setuptools is back in Depends (closes: 572609)
  * Move python-flup and python-cheetah from Recommends to Suggests
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 Apr 2010 17:05:37 +0200

pastescript (1.7.3-5) unstable; urgency=low

  * Add 03_try_to_find_templates_in_system_dir patch so that paster will try
    to find templates in /usr/local/share/paster_templates/ and
    /usr/share/paster_templates/ first.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 30 Nov 2009 22:38:54 +0100

pastescript (1.7.3-4) unstable; urgency=low

  * python-setuptools replaced with python-pkg-resources dependency
    (closes: #546434)
  * debian/rules cleanups:
    - $py_setup_install_args aka --install-layout=deb replaced with
      --install-lib
    - python.mk (optional) include removed
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Sep 2009 21:51:18 +0200

pastescript (1.7.3-3) unstable; urgency=low

  * Prepare for Python 2.6:
    + use py_libdir in debian/rules (LP: #359482)
  * python and python-all-dev build dependencies replaced with python-all
  * Standards-Version bumped to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Apr 2009 01:23:26 +0200

pastescript (1.7.3-2) unstable; urgency=low

  * Change Debian packaging license to MIT (to match upstream)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 15 Feb 2009 21:29:30 +0100

pastescript (1.7.3-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * ignore exceptions in bash completion script

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Nov 2008 10:47:58 +0100

pastescript (1.7.2-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 06 Nov 2008 18:48:42 +0100

pastescript (1.7-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Update patches/02_rename_templates_dir patch and debian/rules to handle
    new directory name
  * Add lintian override for license.txt_tmpl (template detected as extra
    license file)
  * Build docs using Sphinx:
    + python-sphinx replaced python-docutils build dependency
    + new suggested package: libjs-jquery
  * Add bash completion for paster

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Oct 2008 19:41:02 +0100

pastescript (1.6.3-1) unstable; urgency=low

  * New upstream release
  * python-paste and python-pastedeploy added to build dependencies
  * Don't feed rst2html with new subdirectories of docs directory
  * Standards-Version bumped to 3.8.0:
    + debian/README.source file added

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Jun 2008 11:43:52 +0200

pastescript (1.6.2-4) unstable; urgency=low

  * Revert my last changes in paster script:
    + paster has to be a Python script or --reload will not work
      (closes: #482968)
    + don't depend on all supported Python versions, override lintian errors
      for now (until I'll find a better solution)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 27 May 2008 23:25:11 +0200

pastescript (1.6.2-3) unstable; urgency=low

  * Replace python-setuptools with python-pkg-resources in Depends
    (closes: #468714)
  * Remove paste-common dependency, python-support will provide all needed
    namespace
  * Move templates to /usr/share/paster_templates
    + patches/02_rename_templates_dir path updated
  * New debian/paster shell script will invoke paster after detecting desired
    Python version from file name
    + original paster scipt no longer installed
    + package depends only on default Python version again
      (unnecessary dependency introduced in previous upload)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 May 2008 20:05:12 +0200

pastescript (1.6.2-2) unstable; urgency=low

  * Provide /usr/bin/pasterX.Y scripts for all supported Python versions

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Feb 2008 23:01:40 +0100

pastescript (1.6.2-1) unstable; urgency=low

  * New upstream release
  * 03_skip_empty_templates patch removed (no longer needed)
  * Strip the "-1" from setuptools' required version
  * Fix "Python" word capitalization in short description

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 27 Feb 2008 20:02:11 +0100

pastescript (1.6.1.1-1) unstable; urgency=low

  * New upstream release
  * Add 03_skip_empty_templates patch (fixes TurboGears' quickstart)
  * Add versioned dependency on python-paste and python-pastedeploy
    (paste-common is not enough, closes: 463958)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 04 Feb 2008 20:21:37 +0100

pastescript (1.6.1-1) unstable; urgency=low

  * New upstream release
  * 02_rename_templates_dir patch added, templates dir renamed to
    templates_dir in debian/rules (workaround for python-support's #459468)
    Closes: #459446

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 Jan 2008 20:02:19 +0100

pastescript (1.6-1) unstable; urgency=low

  * New upstream release
  * Switch to python-support. All paste packages will now depend on
    paste-common (>= 1.6-1) to make sure all use pysupport
  * Compress binary package with bzip2
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Bump Standards-Version to 3.7.3 (no changes needed)



=== debian/control ===
Source: pastescript
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-all (>= 2.6.6-3~),
 python-setuptools (>= 0.6b3-1~), python-sphinx, python-paste, python-pastedeploy
Standards-Version: 3.9.2
Homepage: http://pythonpaste.org/script/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pastescript/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pastescript/trunk/
X-Python-Version: >= 2.4

Package: python-pastescript
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-paste (>= 1.3),
 python-pastedeploy, python-setuptools | python-distribute
Suggests: python-cherrypy3 | python-cherrypy, python-flup (>= 0.5-1),
 python-cheetah (>= 1.0-1.1), libjs-jquery
Description: serving web applications, creating file layouts for Python packages
 Paster is pluggable command-line frontend,
 including commands to setup package file layouts
 .
 Built-in features:
  * Creating file layouts for packages.
    For instance a setuptools-ready file layout.
  * Serving up web applications, with configuration based on paste.deploy

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
PKGDIR=$(CURDIR)/debian/python-pastescript
include /usr/share/python/python.mk

clean:
	dh_testdir
	dh_testroot
	rm -rf dist build
	find . -name '*\.py[co]' -delete
	dh_clean build-docs $(PYVERS:%=install-python%) install-stamp PasteScript.egg-info/PKG-INFO

build: build-docs

build-docs:
	dh_testdir
	dh_installdirs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ $(PKGDIR)/usr/share/doc/python-pastescript/docs/
	rm -rf $(PKGDIR)/usr/share/doc/python-pastescript/docs/.doctrees
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/python-pastescript/docs/_static/jquery.js
	touch $@

install: build install-stamp

install-stamp: $(PYVERS:%=install-python%)
	dh_installdirs
	cp -r $(CURDIR)/paste/script/paster-templates/* $(PKGDIR)/usr/share/paster_templates/
	install -m 644 debian/paster.bash_completion $(PKGDIR)/etc/bash_completion.d/paster
	dh_link usr/share/doc/python-pastescript/docs /usr/share/doc/python-paste/docs/script
	# it's a template only, not an extra license file
	echo "python-pastescript: extra-license-file usr/share/paster_templates/basic_package/docs/license.txt_tmpl" \
		>> $(PKGDIR)/usr/share/lintian/overrides/python-pastescript
	echo "python-pastescript: extra-license-file usr/share/doc/python-pastescript/docs/_sources/license.txt" \
		>> $(PKGDIR)/usr/share/lintian/overrides/python-pastescript
	touch $@

install-python%:
	python$* setup.py install --root $(PKGDIR) \
		--single-version-externally-managed $(py_setup_install_args)
	# pth file is not needed since all paste* packages are installed in the same directory
	rm -f $(PKGDIR)$(call py_libdir,$*)/PasteScript-*.pth
	rm -f $(PKGDIR)$(call py_libdir,$*)/PasteScript-*/namespace_packages.txt
	rm -rf $(PKGDIR)$(call py_libdir,$*)/paste/script/paster-templates
	# create /usr/bin/pasterX.Y symlink
	install -m 755 $(CURDIR)/scripts/paster $(PKGDIR)/usr/bin/paster$*
	sed -i -e '1s,usr/bin/.*,usr/bin/python$*,' $(PKGDIR)/usr/bin/paster$*
	dh_link /usr/share/man/man1/paster.1.gz /usr/share/man/man1/paster$*.1.gz

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i docs/news.txt
	dh_installdocs -i
	dh_installman -i
	dh_install scripts/paster /usr/bin/
	dh_python2 -i
	dh_compress -i -X.py -X.js
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## pastescript 1.7.4.2

=== debian/changelog ===
pastescript (1.7.4.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 11 Nov 2011 10:07:57 +0100

pastescript (1.7.4.2-1) unstable; urgency=low

  * New upstream release
    - installs "tests" module into global namespace, removed in Debian package
    - no longer provides paste.script.wsgiserver (python-cherrypy removed from
      Suggests)
    - 01_disable_ez_setup.patch removed, no longer needed
  * Add debian/paster.py script as upstream doesn't ship scripts dir anymore
  * Let dh_sphinxdoc handle documentation files, python-sphinx build
    dependency bumped to 1.0.7+dfsg-1

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Aug 2011 20:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: python-all (>= 2.6.6-3~),
- python-setuptools (>= 0.6b3-1~), python-sphinx, python-paste, python-pastedeploy
+ python-setuptools (>= 0.6b3-1~), python-sphinx (>= 1.0.7+dfsg-1~), python-paste, python-pastedeploy
 Standards-Version: 3.9.2
 Homepage: http://pythonpaste.org/script/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pastescript/trunk/
@@ -14,10 +14,10 @@
 
 Package: python-pastescript
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-paste (>= 1.3),
- python-pastedeploy, python-setuptools | python-distribute
-Suggests: python-cherrypy3 | python-cherrypy, python-flup (>= 0.5-1),
- python-cheetah (>= 1.0-1.1), libjs-jquery
+Depends: ${python:Depends}, ${misc:Depends},
+ python-paste (>= 1.3), python-pastedeploy,
+ python-setuptools | python-distribute
+Suggests: python-flup (>= 0.5-1), python-cheetah (>= 1.0-1.1), ${sphinxdoc:Depends}
 Description: serving web applications, creating file layouts for Python packages
  Paster is pluggable command-line frontend,
  including commands to setup package file layouts

## pastescript 1.7.5

=== debian/changelog ===
pastescript (1.7.5-3build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:56 +0000

pastescript (1.7.5-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Rebuild to drop python2.6 symlinks (closes: #707896)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 16 May 2013 21:07:47 +0200

pastescript (1.7.5-2) unstable; urgency=high

  [ Luk Claes ]
  * Fix CVE-2012-0878 by dropping supplementary groups (closes: #661061).

  [ Piotr Ożarowski ]
  * Add versioned dependency on python-pastedeploy (the first one that uses
    dh_python2)
  * Remove egg-info data in clean target to allow building twice in a row
    (closes: #671318)
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 May 2012 21:57:31 +0200

pastescript (1.7.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added a versioned dependency on python-paste (>= 1.7.5.1-2~).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Apr 2012 08:29:48 +0000

pastescript (1.7.5-1) unstable; urgency=low

  * New upstream release
  * Add python-cherrypy to Suggests (for egg:PasteScript#cherrypy)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Nov 2011 23:00:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: python-all (>= 2.6.6-3~),
  python-setuptools (>= 0.6b3-1~), python-sphinx (>= 1.0.7+dfsg-1~), python-paste, python-pastedeploy
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pythonpaste.org/script/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pastescript/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pastescript/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pastescript/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pastescript/trunk/
 X-Python-Version: >= 2.4
 
 Package: python-pastescript
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends},
- python-paste (>= 1.3), python-pastedeploy,
+ python-paste (>= 1.7.5.1-2~), python-pastedeploy (>= 1.5.0-1~),
  python-setuptools | python-distribute
-Suggests: python-flup (>= 0.5-1), python-cheetah (>= 1.0-1.1), ${sphinxdoc:Depends}
+Suggests: python-flup (>= 0.5-1), python-cherrypy, python-cheetah (>= 1.0-1.1), ${sphinxdoc:Depends}
 Description: serving web applications, creating file layouts for Python packages
  Paster is pluggable command-line frontend,
  including commands to setup package file layouts

=== debian/rules ===
--- 
+++ 
@@ -11,17 +11,16 @@
 	dh_testroot
 	rm -rf dist build
 	find . -name '*\.py[co]' -delete
-	dh_clean build-docs $(PYVERS:%=install-python%) install-stamp PasteScript.egg-info/PKG-INFO
+	dh_clean build-docs $(PYVERS:%=install-python%) install-stamp PasteScript.egg-info/*
 
 build: build-docs
+build-indep: build-docs
+build-arch:
 
 build-docs:
 	dh_testdir
 	dh_installdirs
 	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ $(PKGDIR)/usr/share/doc/python-pastescript/docs/
-	rm -rf $(PKGDIR)/usr/share/doc/python-pastescript/docs/.doctrees
-	dh_link /usr/share/javascript/jquery/jquery.js \
-		/usr/share/doc/python-pastescript/docs/_static/jquery.js
 	touch $@
 
 install: build install-stamp
@@ -46,7 +45,7 @@
 	rm -f $(PKGDIR)$(call py_libdir,$*)/PasteScript-*/namespace_packages.txt
 	rm -rf $(PKGDIR)$(call py_libdir,$*)/paste/script/paster-templates
 	# create /usr/bin/pasterX.Y symlink
-	install -m 755 $(CURDIR)/scripts/paster $(PKGDIR)/usr/bin/paster$*
+	install -m 755 $(CURDIR)/debian/paster.py $(PKGDIR)/usr/bin/paster$*
 	sed -i -e '1s,usr/bin/.*,usr/bin/python$*,' $(PKGDIR)/usr/bin/paster$*
 	dh_link /usr/share/man/man1/paster.1.gz /usr/share/man/man1/paster$*.1.gz
 
@@ -55,8 +54,9 @@
 	dh_testroot -i
 	dh_installchangelogs -i docs/news.txt
 	dh_installdocs -i
+	dh_sphinxdoc -i
 	dh_installman -i
-	dh_install scripts/paster /usr/bin/
+	install -m 755 $(CURDIR)/debian/paster.py $(PKGDIR)/usr/bin/paster
 	dh_python2 -i
 	dh_compress -i -X.py -X.js
 	dh_fixperms -i

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/PasteScript/PasteScript-(.*)\.tar\.gz debian uupdate

## pastescript 2.0.2

=== debian/changelog ===
pastescript (2.0.2-4) unstable; urgency=medium

  * Team upload.
  * Don't install manpage into python-pastescript-doc (Closes: #948845).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jan 2020 09:08:03 +0100

pastescript (2.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937246

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jan 2020 14:50:18 -0500

pastescript (2.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 21:36:29 +0200

pastescript (2.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Federico Ceratto ]
  * New upstream release
  * Add doc-base file, fix section
  * Remove unneded dirs file.
  * Update copyright.
  * Bump up dh version, update desc.
  * Disable templates dirs patches.
  * Remove unneded patch for supplementary groups.
  * Install completions, cleanup.
  * Switch to pybuild, build py3 and -doc pkgs.

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Removed (build-)dependency versions (satisfied in Stable).
  * Add myself as uploader.
  * Standards-Version is now 4.1.2.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Dec 2017 12:28:59 +0000

=== debian/control ===
Source: pastescript
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Federico Ceratto <federico@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 bash-completion,
 python3-paste,
 python3-pastedeploy,
 python3-sphinx,
Standards-Version: 4.1.2
Homepage: https://pypi.python.org/pypi/PasteScript
Vcs-Git: https://salsa.debian.org/python-team/modules/pastescript.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pastescript
Testsuite: autopkgtest-pkg-python

Package: python-pastescript-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: create file layouts for packages and serve webapps - documentation
 Paster is pluggable command-line frontend,
 including commands to setup package file layouts
 This is the documentation package.

Package: python3-pastescript
Architecture: all
Depends:
 python3-paste,
 python3-pastedeploy,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-cherrypy3,
Description: create file layouts for Python3 packages and serve webapps
 Paster is pluggable command-line frontend,
 including commands to setup package file layouts
 .
 Built-in features:
  * Creating file layouts for packages.
    For instance a setuptools-ready file layout.
  * Serving up web applications, with configuration based on paste.deploy
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=pastescript
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs debian/html

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-pastescript/usr/bin/paster debian/python3-pastescript/usr/bin/paster3
	dh_bash-completion

override_dh_installchangelogs:
	dh_installchangelogs docs/news.txt

=== debian/watch ===
version=3
https://pypi.debian.net/pastescript/pastescript-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pastescript 3.2.1

=== debian/changelog ===
pastescript (3.2.1-2) unstable; urgency=medium

  [ Simon Chopin ]
  * [9ef7c05] d/rules: Add traget override_dh_auto_clean
    (Closes: #1051850)

  [ Carsten Schoenert ]
  * [c4ee28e] d/control: Switch to dh-sequence-* with pybuild-plugin-*
  * [52d5e3f] d/rules: Drop --with option from default target
  * [767990e] d/rules: Modify the call of the tests
  * [35b1259] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [a48094c] d/rules: Set and use $(SPHINXOPTS) for sphinx based docu

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Sep 2023 20:12:14 +0200

pastescript (3.2.1-1) unstable; urgency=medium

  * d/watch: Update to version 4, use git mode
  * d/gbp.conf: Add some basic default configuration
  * New upstream version 3.2.1
  * Rebuild patch queue from patch-queue branch
    Refreshed and renamed patches:
    03_try_to_find_templates_in_system_dir.patch
     -> debian/patches/template_dir-Add-Debian-specific-template-folders.patch
    02_rename_templates_dir.patch
     -> debian/patches/template_dir-Use-folder-from-the-Debian-package.patch
    Added patches:
    docs-news.txt-Fixup-RST-syntax.patch
    tests-Disable-instancing-of-class-DisableDirectory.patch
    tests-Remove-imports-of-nose-module.patch
  * d/control: Move Maintainer back to DPT
  * d/control: Update some source pkg specific fields
    Reorder some build depending packages and adjust the upstream project
    URL. Adding Rules-Requires-Root: no as no root privileges are required
    for building this package.
  * d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * d/control: Update binary package descriptions
  * d/rules: Use dh_sphincdoc helper to build documentation
  * d/python-pastescript-doc.docs: Drop sequencer file
    Not needed now as dh_sphinxdoc is doing the magic.
  * tests: Run the internal tests while package build
  * autopkgtest: Adding a basic first test setup
  * d/README.source: Add some information about the source
  * d/copyright: Update and adjust content data
  * d/u/metadata: Adding basic metadata

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Nov 2022 12:46:01 +0100

pastescript (2.0.2-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * QA Upload.
    Orphan package - see bug 740531.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 21:48:49 +0100

pastescript (2.0.2-5) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pastescript-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set field Upstream-Name in debian/copyright.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 17:19:00 -0400

=== debian/control ===
Source: pastescript
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
Build-Depends-Indep:
 bash-completion,
 python3-paste (>> 3),
 python3-pastedeploy,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/cdent/pastescript
Vcs-Git: https://salsa.debian.org/python-team/packages/pastescript.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pastescript
Testsuite: autopkgtest-pkg-python

Package: python-pastescript-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: PasteScript is a pluggable command-line tool (Documentation)
 Paster is pluggable command-line frontend, including commands to setup
 package file layouts. By this you are able to create file layouts for
 packages and serve webapps quickly.
 .
 This package contains the documentation of the library.

Package: python3-pastescript
Architecture: all
Depends:
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pastescript-doc,
 python3-cherrypy3,
Description: PasteScript is a pluggable command-line tool (Python3)
 Paster is pluggable command-line frontend, including commands to setup
 package file layouts. By this you are able to create file layouts for
 packages and serve webapps quickly.
 .
 Built-in features:
  * Creating file layouts for packages.
    For instance a setuptools-ready file layout.
  * Serving up web applications, with configuration based on
    https://docs.pylonsproject.org/projects/pastedeploy/en/latest/
    (available within Debian based distribution as python3-pastedeploy)
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=pastescript
export PYBUILD_TEST_ARGS=\
--ignore=tests/appsetup/testfiles/conftest.py \
--ignore=tests/appsetup/test_make_project.py \
--ignore=tests/test_command.py \
--ignore=tests/test_egg_finder.py \
--ignore=tests/test_template_introspect.py

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-pastescript-doc/usr/share/doc/python-pastescript-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-pastescript/usr/bin/paster debian/python3-pastescript/usr/bin/paster3
	dh_bash-completion

override_dh_installchangelogs:
	dh_installchangelogs docs/news.txt

override_dh_auto_clean:
	# Work around LP: #2035337
	mv tests/fake_packages/FakePlugin.egg/FakePlugin.egg-info/ fakeplugin.back
	dh_auto_clean
	mv fakeplugin.back tests/fake_packages/FakePlugin.egg/FakePlugin.egg-info/

override_dh_auto_test:
	# Another work around, the tests are not successful if called within the
	# .pybuild folder. But this way we have at least some tests while build.
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR) {interpreter} -m pytest -v $${PYBUILD_TEST_ARGS}" dh_auto_test

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      repacksuffix=ds, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|)ds(\.?\d+)?$//" \
https://github.com/cdent/pastescript.git \
      refs/tags/@ANY_VERSION@

## pastescript 3.6.0

=== debian/changelog ===
pastescript (3.6.0-2) unstable; urgency=medium

  * Team upload.
  * Adjust logging lock handling for Python 3.13 (closes: #1088763).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 15:19:57 +0000

pastescript (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.6.0
  * update URL's for new project ownership

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Apr 2024 14:42:34 +0200

pastescript (3.5.0-3) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.0
  * refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Mar 2024 19:25:17 +0100

## pastescript 3.7.0

=== debian/changelog ===
pastescript (3.7.0-1) unstable; urgency=medium

  * Team upload.
  * [51407d5] New upstream version 3.7.0
  * [e25b3f8] Rebuild patch queue from patch-queue branch
    Dropped patch (included upstream):
    py313-logging.patch
  * [2faec91] d/rules: Drop -D option from SPHINXOPTS
  * [40baa33] d/rules: Remove .mypy_cache whithin dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Jan 2025 19:50:13 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-sphinx <!nodoc>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/cdent/pastescript
+Homepage: https://github.com/pasteorg/pastescript
 Vcs-Git: https://salsa.debian.org/python-team/packages/pastescript.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pastescript
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,14 @@
 --ignore=tests/test_egg_finder.py \
 --ignore=tests/test_template_introspect.py
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache
 
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 override_dh_sphinxdoc:

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pastescript,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      repacksuffix=ds, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|)ds(\.?\d+)?$//" \
https://github.com/pasteorg/pastescript.git \
      refs/tags/@ANY_VERSION@
